# 财务分析主要指标的列名转换：
FINANCE_MAIN_INDEX_COLUMNS = {
    'SECURITY_CODE': 'symbol',
    'SECURITY_NAME_ABBR': 'name',
    'REPORT_DATE': 'timestamp',
    'EPSJB': '基本每股收益(元)',
    'EPSKCJB': '扣非每股收益(元)',
    'EPSXS': '稀释每股收益(元)',
    'BPS': '每股净资产(元)',
    'MGZBGJ': '每股公积金(元)',
    'MGWFPLR': '每股未分配利润(元)',
    'MGJYXJJE': '每股经营现金流(元)',
    'TOTALOPERATEREVE': '营业总收入(元)',
    'MLR': '毛利润(元)',
    'PARENTNETPROFIT': '归属净利润(元)',
    'KCFJCXSYJLR': '扣非净利润(元)',
    'TOTALOPERATEREVETZ': '营业总收入同比增长(%)',
    'PARENTNETPROFITTZ': '归属净利润同比增长(%)',
    'KCFJCXSYJLRTZ': '扣非净利润同比增长(%)',
    'YYZSRGDHBZC': '营业总收入滚动环比增长(%)',
    'NETPROFITRPHBZC': '归属净利润滚动环比增长(%)',
    'KFJLRGDHBZC': '扣非净利润滚动环比增长(%)',
    'ROEJQ': '净资产收益率(加权)(%)',
    'ROEKCJQ': '净资产收益率(扣非/加权)(%)',
    'ZZCJLL': '总资产收益率(加权)(%)',
    'XSJLL': '净利率(%)',
    'XSMLL': '毛利率(%)',
    'YSZKYYSR': '预收账款/营业总收入',
    'XSJXLYYSR': '销售净现金流/营业总收入',
    'JYXJLYYSR': '经营净现金流/营业总收入',
    'TAXRATE': '实际税率(%)',
    'LD': '流动比率',
    'SD': '速动比率',
    'XJLLB': '现金流量比率',
    'ZCFZL': '资产负债率(%)',
    'QYCS': '权益系数',
    'CQBL': '产权比率',
    'ZZCZZTS': '总资产周转天数(天)',
    'CHZZTS': '存货周转天数(天)',
    'YSZKZZTS': '应收账款周转天数(天)',
    'TOAZZL': '总资产周转率(次)',
    'CHZZL': '存货周转率(次)',
    'YSZKZZL': '应收账款周转率(次)',
}

FINANCE_CASH_FLOW_COLUMNS = {
    'SECURITY_CODE': 'symbol',
    'SECURITY_NAME_ABBR': 'name',
    'REPORT_DATE': 'timestamp',
    'SALES_SERVICES': '销售商品、提供劳务收到的现金',
    'DEPOSIT_INTERBANK_ADD': '客户存款和同业存放款项净增加额',
    # 'LOAN_PBC_ADD', 'OFI_BF_ADD', 'RECEIVE_ORIGIC_PREMIUM', 'RECEIVE_REINSURE_NET', 'INSURED_INVEST_ADD', 'DISPOSAL_TFA_ADD',
    'RECEIVE_INTEREST_COMMISSION': '收取利息、手续费及佣金的现金',
    # 'BORROW_FUND_ADD', 'LOAN_ADVANCE_REDUCE', 'REPO_BUSINESS_ADD',
    'RECEIVE_TAX_REFUND': '收到的税收返还',
    'RECEIVE_OTHER_OPERATE': '收到其他与经营活动有关的现金',
    # 'OPERATE_INFLOW_OTHER', 'OPERATE_INFLOW_BALANCE', 'TOTAL_OPERATE_INFLOW',
    'BUY_SERVICES': '购买商品、接受劳务支付的现金',
    'LOAN_ADVANCE_ADD': '客户贷款及垫款净增加额',
    'PBC_INTERBANK_ADD': '存放中央银行和同业款项净增加额',
    # 'PAY_ORIGIC_COMPENSATE',
    'PAY_INTEREST_COMMISSION': '支付利息、手续费及佣金的现金',
    # 'PAY_POLICY_BONUS',
    'PAY_STAFF_CASH': '支付给职工以及为职工支付的现金',
    'PAY_ALL_TAX': '支付的各项税费',
    'PAY_OTHER_OPERATE': '支付其他与经营活动有关的现金',
    'OPERATE_OUTFLOW_OTHER': '经营活动现金流出的其他项目',
    # 'OPERATE_OUTFLOW_BALANCE',
    'TOTAL_OPERATE_OUTFLOW': '经营活动现金流出小计',
    # 'OPERATE_NETCASH_OTHER', 'OPERATE_NETCASH_BALANCE',
    'NETCASH_OPERATE': '经营活动产生的现金流量净额',
    'WITHDRAW_INVEST': '收回投资收到的现金',
    'RECEIVE_INVEST_INCOME': '取得投资收益收到的现金',
    'DISPOSAL_LONG_ASSET': '处置固定资产、无形资产和其他长期资产收回的现金净额',
    # 'DISPOSAL_SUBSIDIARY_OTHER', 'REDUCE_PLEDGE_TIMEDEPOSITS',
    'RECEIVE_OTHER_INVEST': '收到的其他与投资活动有关的现金',
    # 'INVEST_INFLOW_OTHER', 'INVEST_INFLOW_BALANCE',
    'TOTAL_INVEST_INFLOW': '投资活动现金流入小计',
    'CONSTRUCT_LONG_ASSET': '购建固定资产、无形资产和其他长期资产支付的现金',
    'INVEST_PAY_CASH': '投资支付的现金',
    # 'PLEDGE_LOAN_ADD', 'OBTAIN_SUBSIDIARY_OTHER', 'ADD_PLEDGE_TIMEDEPOSITS',
    'PAY_OTHER_INVEST': '支付其他与投资活动有关的现金',
    # 'INVEST_OUTFLOW_OTHER', 'INVEST_OUTFLOW_BALANCE',
    'TOTAL_INVEST_OUTFLOW': '投资活动现金流出小计',
    # 'INVEST_NETCASH_OTHER', 'INVEST_NETCASH_BALANCE',
    'NETCASH_INVEST': '投资活动产生的现金流量净额',
    # 'ACCEPT_INVEST_CASH', 'SUBSIDIARY_ACCEPT_INVEST', 'RECEIVE_LOAN_CASH', 'ISSUE_BOND', 'RECEIVE_OTHER_FINANCE', 'FINANCE_INFLOW_OTHER', 'FINANCE_INFLOW_BALANCE', 'TOTAL_FINANCE_INFLOW', 'PAY_DEBT_CASH',
    'ASSIGN_DIVIDEND_PORFIT': '分配股利、利润或偿付利息支付的现金',
    'SUBSIDIARY_PAY_DIVIDEND': '其中:子公司支付给少数股东的股利、利润',
    # 'BUY_SUBSIDIARY_EQUITY',
    'PAY_OTHER_FINANCE': '支付的其他与筹资活动有关的现金',
    # 'SUBSIDIARY_REDUCE_CASH', 'FINANCE_OUTFLOW_OTHER', 'FINANCE_OUTFLOW_BALANCE',
    'TOTAL_FINANCE_OUTFLOW': '筹资活动现金流出小计',
    # 'FINANCE_NETCASH_OTHER', 'FINANCE_NETCASH_BALANCE',
    'NETCASH_FINANCE': '筹资活动产生的现金流量净额',
    'RATE_CHANGE_EFFECT': '汇率变动对现金及现金等价物的影响',
    # 'CCE_ADD_OTHER', 'CCE_ADD_BALANCE',
    'CCE_ADD': '现金及现金等价物净增加额',
    'BEGIN_CCE': '加:期初现金及现金等价物余额',
    # 'END_CCE_OTHER', 'END_CCE_BALANCE',
    'END_CCE': '期末现金及现金等价物余额',
    'NETPROFIT': '净利润',
    # 'ASSET_IMPAIRMENT',
    'FA_IR_DEPR': '固定资产和投资性房地产折旧',
    'OILGAS_BIOLOGY_DEPR': '其中:固定资产折旧、油气资产折耗、生产性生物资产折旧',
    # 'IR_DEPR',
    'IA_AMORTIZE': '无形资产摊销',
    'LPE_AMORTIZE': '长期待摊费用摊销',
    # 'DEFER_INCOME_AMORTIZE', 'PREPAID_EXPENSE_REDUCE', 'ACCRUED_EXPENSE_ADD',
    'DISPOSAL_LONGASSET_LOSS': '处置固定资产、无形资产和其他长期资产的损失',
    'FA_SCRAP_LOSS': '固定资产报废损失',
    'FAIRVALUE_CHANGE_LOSS': '公允价值变动损失',
    'FINANCE_EXPENSE': '财务费用',
    'INVEST_LOSS': '投资损失',
    'DEFER_TAX': '递延所得税',
    'DT_ASSET_REDUCE': '其中:递延所得税资产减少',
    'DT_LIAB_ADD': '递延所得税负债增加',
    # 'PREDICT_LIAB_ADD',
    'INVENTORY_REDUCE': '存货的减少',
    'OPERATE_RECE_REDUCE': '经营性应收项目的减少',
    'OPERATE_PAYABLE_ADD': '经营性应付项目的增加',
    # 'OTHER', 'OPERATE_NETCASH_OTHERNOTE', 'OPERATE_NETCASH_BALANCENOTE',
    'NETCASH_OPERATENOTE': '经营活动产生的现金流量净额',
    # 'DEBT_TRANSFER_CAPITAL', 'CONVERT_BOND_1YEAR', 'FINLEASE_OBTAIN_FA', 'UNINVOLVE_INVESTFIN_OTHER',
    'END_CASH': '现金的期末余额',
    'BEGIN_CASH': '减:现金的期初余额',
    'END_CASH_EQUIVALENTS': '加:现金等价物的期末余额',
    # 'BEGIN_CASH_EQUIVALENTS', 'CCE_ADD_OTHERNOTE', 'CCE_ADD_BALANCENOTE',
    'CCE_ADDNOTE': '现金及现金等价物的净增加额',
    'OPINION_TYPE': '审计意见(境内)'
    # 'SALES_SERVICES_YOY', 'DEPOSIT_INTERBANK_ADD_YOY', 'LOAN_PBC_ADD_YOY', 'OFI_BF_ADD_YOY', 'RECEIVE_ORIGIC_PREMIUM_YOY', 'RECEIVE_REINSURE_NET_YOY', 'INSURED_INVEST_ADD_YOY', 'DISPOSAL_TFA_ADD_YOY', 'RECEIVE_INTEREST_COMMISSION_YOY', 'BORROW_FUND_ADD_YOY', 'LOAN_ADVANCE_REDUCE_YOY', 'REPO_BUSINESS_ADD_YOY', 'RECEIVE_TAX_REFUND_YOY', 'RECEIVE_OTHER_OPERATE_YOY', 'OPERATE_INFLOW_OTHER_YOY', 'OPERATE_INFLOW_BALANCE_YOY', 'TOTAL_OPERATE_INFLOW_YOY', 'BUY_SERVICES_YOY', 'LOAN_ADVANCE_ADD_YOY', 'PBC_INTERBANK_ADD_YOY', 'PAY_ORIGIC_COMPENSATE_YOY', 'PAY_INTEREST_COMMISSION_YOY', 'PAY_POLICY_BONUS_YOY', 'PAY_STAFF_CASH_YOY', 'PAY_ALL_TAX_YOY', 'PAY_OTHER_OPERATE_YOY', 'OPERATE_OUTFLOW_OTHER_YOY', 'OPERATE_OUTFLOW_BALANCE_YOY', 'TOTAL_OPERATE_OUTFLOW_YOY', 'OPERATE_NETCASH_OTHER_YOY', 'OPERATE_NETCASH_BALANCE_YOY', 'NETCASH_OPERATE_YOY', 'WITHDRAW_INVEST_YOY', 'RECEIVE_INVEST_INCOME_YOY', 'DISPOSAL_LONG_ASSET_YOY', 'DISPOSAL_SUBSIDIARY_OTHER_YOY', 'REDUCE_PLEDGE_TIMEDEPOSITS_YOY', 'RECEIVE_OTHER_INVEST_YOY', 'INVEST_INFLOW_OTHER_YOY', 'INVEST_INFLOW_BALANCE_YOY', 'TOTAL_INVEST_INFLOW_YOY', 'CONSTRUCT_LONG_ASSET_YOY', 'INVEST_PAY_CASH_YOY', 'PLEDGE_LOAN_ADD_YOY', 'OBTAIN_SUBSIDIARY_OTHER_YOY', 'ADD_PLEDGE_TIMEDEPOSITS_YOY', 'PAY_OTHER_INVEST_YOY', 'INVEST_OUTFLOW_OTHER_YOY', 'INVEST_OUTFLOW_BALANCE_YOY', 'TOTAL_INVEST_OUTFLOW_YOY', 'INVEST_NETCASH_OTHER_YOY', 'INVEST_NETCASH_BALANCE_YOY', 'NETCASH_INVEST_YOY', 'ACCEPT_INVEST_CASH_YOY', 'SUBSIDIARY_ACCEPT_INVEST_YOY', 'RECEIVE_LOAN_CASH_YOY', 'ISSUE_BOND_YOY', 'RECEIVE_OTHER_FINANCE_YOY', 'FINANCE_INFLOW_OTHER_YOY', 'FINANCE_INFLOW_BALANCE_YOY', 'TOTAL_FINANCE_INFLOW_YOY', 'PAY_DEBT_CASH_YOY', 'ASSIGN_DIVIDEND_PORFIT_YOY', 'SUBSIDIARY_PAY_DIVIDEND_YOY', 'BUY_SUBSIDIARY_EQUITY_YOY', 'PAY_OTHER_FINANCE_YOY', 'SUBSIDIARY_REDUCE_CASH_YOY', 'FINANCE_OUTFLOW_OTHER_YOY', 'FINANCE_OUTFLOW_BALANCE_YOY', 'TOTAL_FINANCE_OUTFLOW_YOY', 'FINANCE_NETCASH_OTHER_YOY', 'FINANCE_NETCASH_BALANCE_YOY', 'NETCASH_FINANCE_YOY', 'RATE_CHANGE_EFFECT_YOY', 'CCE_ADD_OTHER_YOY', 'CCE_ADD_BALANCE_YOY', 'CCE_ADD_YOY', 'BEGIN_CCE_YOY', 'END_CCE_OTHER_YOY', 'END_CCE_BALANCE_YOY', 'END_CCE_YOY', 'NETPROFIT_YOY', 'ASSET_IMPAIRMENT_YOY', 'FA_IR_DEPR_YOY', 'OILGAS_BIOLOGY_DEPR_YOY', 'IR_DEPR_YOY', 'IA_AMORTIZE_YOY', 'LPE_AMORTIZE_YOY', 'DEFER_INCOME_AMORTIZE_YOY', 'PREPAID_EXPENSE_REDUCE_YOY', 'ACCRUED_EXPENSE_ADD_YOY', 'DISPOSAL_LONGASSET_LOSS_YOY', 'FA_SCRAP_LOSS_YOY', 'FAIRVALUE_CHANGE_LOSS_YOY', 'FINANCE_EXPENSE_YOY', 'INVEST_LOSS_YOY', 'DEFER_TAX_YOY', 'DT_ASSET_REDUCE_YOY', 'DT_LIAB_ADD_YOY', 'PREDICT_LIAB_ADD_YOY', 'INVENTORY_REDUCE_YOY', 'OPERATE_RECE_REDUCE_YOY', 'OPERATE_PAYABLE_ADD_YOY', 'OTHER_YOY', 'OPERATE_NETCASH_OTHERNOTE_YOY', 'OPERATE_NETCASH_BALANCENOTE_YOY', 'NETCASH_OPERATENOTE_YOY', 'DEBT_TRANSFER_CAPITAL_YOY', 'CONVERT_BOND_1YEAR_YOY', 'FINLEASE_OBTAIN_FA_YOY', 'UNINVOLVE_INVESTFIN_OTHER_YOY', 'END_CASH_YOY', 'BEGIN_CASH_YOY', 'END_CASH_EQUIVALENTS_YOY', 'BEGIN_CASH_EQUIVALENTS_YOY', 'CCE_ADD_OTHERNOTE_YOY', 'CCE_ADD_BALANCENOTE_YOY', 'CCE_ADDNOTE_YOY', 'OSOPINION_TYPE', 'MINORITY_INTEREST', 'MINORITY_INTEREST_YOY']
}
